#!/bin/sh

# generates a 'log' file containing all XHTML validation errors;
# xmllint utility is required

# validate all HTML files generated; the DTDs are not loaded
# from the WWW but rather from the 'dtd' folder
xmllint --path dtd --nonet --postvalid --noout */html/*.html 2>temp

# remove the I/O 'error' about not being able to download the
# DTD from the www (because of the --nonet switch above): we
# force xmllint to take the DTD from a local folder!
cat temp | grep -v ".*I/O error.*" >log
rm temp
